# class JIDIdentityList | A list of JID identities. More...
Full name | `TelEngine::JIDIdentityList`
Definition | `#include <libs/yjabber/xmpputils.h>`
Inherits | TelEngine::ObjList [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- void toXml (XmlElement* parent) const
- void fromXml (XmlElement* parent)

## Detailed Description

This class holds a list of JID identities

void toXml (XmlElement* parent) | ### toXml

[const]

Fill an xml element with identities held by this list

Parameters:

parent | The parent element to fill

void fromXml (XmlElement* parent) | ### fromXml

Add identity children from an xml element

Parameters:

parent | The element containing the identity children

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.